﻿<Window x:Class="Coroplast.View.ScanningWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:Coroplast.View"
        mc:Ignorable="d"
        Title="Scanning barcode window" Height="400" Width="600" ResizeMode="NoResize">
    <Grid>
        <Calendar HorizontalAlignment="Right" VerticalAlignment="Top" Margin="0,5,5,0"/>
        <local:DataTableView SelectedIndex="{Binding SelectedIndex}" DataContext="{Binding Scanning, Source={StaticResource Locator}}" Background="#FFEF5350">
        </local:DataTableView>
        <Button x:Name="StoreChangesButton" Command="{Binding SaveChangesButtonCommand}" Content="SAVE"
            Style="{DynamicResource ButtonStyle}" Background="#FF00B19D" Foreground="White"
            BorderBrush="{x:Null}" BorderThickness="0" VerticalAlignment="Bottom" HorizontalAlignment="Right" Width="125" Height="30" Margin="10,0,5,5">
            <Button.Resources>
                <Style x:Key="FocusVisual">
                    <Setter Property="Control.Template">
                        <Setter.Value>
                            <ControlTemplate>
                                <Rectangle Margin="2" SnapsToDevicePixels="true"
                                    Stroke="{DynamicResource {x:Static SystemColors.ControlTextBrushKey}}"
                                    StrokeThickness="1" StrokeDashArray="1 2" />
                            </ControlTemplate>
                        </Setter.Value>
                    </Setter>
                </Style>
                <SolidColorBrush x:Key="Button.Static.Background" Color="#FFDDDDDD" />
                <SolidColorBrush x:Key="Button.Static.Border" Color="#FF707070" />
                <SolidColorBrush x:Key="Button.MouseOver.Background" Color="#FF00A79D" />
                <SolidColorBrush x:Key="Button.MouseOver.Border" Color="#FF00A79D" />
                <SolidColorBrush x:Key="Button.Pressed.Background" Color="#FF009D9D" />
                <SolidColorBrush x:Key="Button.Pressed.Border" Color="#FF009D9D" />
                <SolidColorBrush x:Key="Button.Disabled.Background" Color="#FFF4F4F4" />
                <SolidColorBrush x:Key="Button.Disabled.Border" Color="#FFADB2B5" />
                <SolidColorBrush x:Key="Button.Disabled.Foreground" Color="#FF838383" />
                <Style x:Key="ButtonStyle" TargetType="{x:Type Button}">
                    <Setter Property="FocusVisualStyle" Value="{StaticResource FocusVisual}" />
                    <Setter Property="Background" Value="{StaticResource Button.Static.Background}" />
                    <Setter Property="BorderBrush" Value="{StaticResource Button.Static.Border}" />
                    <Setter Property="Foreground"
                        Value="{DynamicResource {x:Static SystemColors.ControlTextBrushKey}}" />
                    <Setter Property="BorderThickness" Value="1" />
                    <Setter Property="HorizontalContentAlignment" Value="Center" />
                    <Setter Property="VerticalContentAlignment" Value="Center" />
                    <Setter Property="Padding" Value="1" />
                    <Setter Property="Template">
                        <Setter.Value>
                            <ControlTemplate TargetType="{x:Type Button}">
                                <Border x:Name="border" BorderBrush="{TemplateBinding BorderBrush}"
                                    BorderThickness="{TemplateBinding BorderThickness}"
                                    Background="{TemplateBinding Background}" SnapsToDevicePixels="true">
                                    <StackPanel Orientation="Horizontal" HorizontalAlignment="Center">
                                        <Image x:Name="image" Width="16" Height="16" Source="../Assets/save-table.png"
                                            Margin="0,0,5,0" />
                                        <ContentPresenter x:Name="contentPresenter" Focusable="False"
                                            HorizontalAlignment="{TemplateBinding HorizontalContentAlignment}"
                                            Margin="0,0,5,0" RecognizesAccessKey="True"
                                            SnapsToDevicePixels="{TemplateBinding SnapsToDevicePixels}"
                                            VerticalAlignment="{TemplateBinding VerticalContentAlignment}" />
                                    </StackPanel>
                                </Border>
                                <ControlTemplate.Triggers>
                                    <Trigger Property="IsDefaulted" Value="true">
                                        <Setter Property="BorderBrush" TargetName="border"
                                            Value="{DynamicResource {x:Static SystemColors.HighlightBrushKey}}" />
                                    </Trigger>
                                    <Trigger Property="IsMouseOver" Value="true">
                                        <Setter Property="Background" TargetName="border"
                                            Value="{StaticResource Button.MouseOver.Background}" />
                                        <Setter Property="BorderBrush" TargetName="border"
                                            Value="{StaticResource Button.MouseOver.Border}" />
                                    </Trigger>
                                    <Trigger Property="IsPressed" Value="true">
                                        <Setter Property="Background" TargetName="border"
                                            Value="{StaticResource Button.Pressed.Background}" />
                                        <Setter Property="BorderBrush" TargetName="border"
                                            Value="{StaticResource Button.Pressed.Border}" />
                                    </Trigger>
                                    <Trigger Property="IsEnabled" Value="false">
                                        <Setter Property="Background" TargetName="border"
                                            Value="{StaticResource Button.Disabled.Background}" />
                                        <Setter Property="BorderBrush" TargetName="border"
                                            Value="{StaticResource Button.Disabled.Border}" />
                                        <Setter Property="TextElement.Foreground" TargetName="contentPresenter"
                                            Value="{StaticResource Button.Disabled.Foreground}" />
                                    </Trigger>
                                </ControlTemplate.Triggers>
                            </ControlTemplate>
                        </Setter.Value>
                    </Setter>
                </Style>
            </Button.Resources>
        </Button>

    </Grid>
</Window>

